SQLITE3_VTAB_ON_CONFLICT(3) | Library Functions Manual | SQLITE3_VTAB_ON_CONFLICT(3)

# NAME

`sqlite3_vtab_on_conflict` —
Determine The Virtual Table Conflict Policy

# SYNOPSIS

int
`sqlite3_vtab_on_conflict`(sqlite3 *);

# DESCRIPTION

This function may only be called from within a call to the xUpdate method of a virtual table implementation for an INSERT or UPDATE operation. The value returned is one of SQLITE_ROLLBACK, SQLITE_IGNORE, SQLITE_FAIL, SQLITE_ABORT, or SQLITE_REPLACE, according to the ON CONFLICT mode of the SQL statement that triggered the call to the xUpdate method of the virtual table.

# SEE ALSO

SQLITE_OK(3), SQLITE_ROLLBACK(3), SQLITE_DENY(3), SQLITE_ROLLBACK(3)

December 19, 2018 | NetBSD 9.4